import animals.*;

// not in the animals package, but we can still derive from it
class Owl extends Animal {
  Owl() {
    super(2);
  }

  @Override
  public void speak() {
    System.out.println("Hoot World, I have " + numLegs + " legs");
  }
}

public class InheritanceExamples {
  public static void main(String[] args) {

    // directly create an animal
    Animal animal = new Animal(0);
    animal.speak();

    int numAnimals = 6;
    Animal[] animals = new Animal[numAnimals];
    animals[0] = new Dog();
    animals[1] = new Sheep();
    animals[2] = new Cat();
    animals[3] = new Dog();
    animals[4] = new Penguin();
    animals[5] = new Owl();

    for (Animal a : animals) {
      a.speak();
      //System.out.println(animal.numLegs);
    }

  }
}